/*
 * Copyright: 2019 UBports
 *
 * This file is part of reminders
 *
 * reminders is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * reminders is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import "../components"
import "settings"

Page {
    id: root
    objectName: "settingsPage"

    header: PageHeader {
        title: i18n.tr("Settings")
    }

    Flickable {
        id: settingsFlickable
        anchors.top: root.header.bottom
        anchors.bottom: root.bottom
        anchors.left: root.left
        anchors.right: root.right
        clip: true
        flickableDirection: Flickable.AutoFlickIfNeeded
        contentHeight: settingsColumn.childrenRect.height

        Column {
            id: settingsColumn
            anchors.fill: parent

            ListItem {
                width: parent.width
                height: tp.height > 0 ? tp.height : units.gu(7)

                ThemePage {
                    id: tp
                    width: parent.width
                }
                divider { visible: false; }
            }
        }
    }
}
