/*
 * Copyright: 2019 UBports
 *
 * This file is part of reminders
 *
 * reminders is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * reminders is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4
import Ubuntu.Components 1.3
import QtQuick.Layouts 1.1

Item {
    id: themePage
    anchors {
      top: parent.top
      topMargin: units.gu(1)
      left: parent.left
      leftMargin: units.gu(2)
      right: parent.right
    }

    Component.onCompleted: {
        if (settings.selectedTheme == "System") systemCheckBox.checked = true
        else if (settings.selectedTheme == "Ambiance") ambianceCheckBox.checked = true
        else if (settings.selectedTheme == "SuruDark") surudarkCheckBox.checked = true
    }

    Column {
        anchors {
                top: parent.top
                left: parent.left
                right: parent.right
            }
            spacing: units.gu(1)

        Label {
          text: i18n.tr("Choose app theme") + ":"
        }

        RowLayout {

            CheckBox {
                id: systemCheckBox
                checked: false
                onCheckedChanged: {
                    if (systemCheckBox.checked) {
                        settings.selectedTheme = "System"
                        setCurrentTheme();
                        ambianceCheckBox.checked = false
                        surudarkCheckBox.checked = false
                    }
                }
            }
            Label {
              text: " " + i18n.tr("System")
            }

            CheckBox {
                id: ambianceCheckBox
                checked: false
                onCheckedChanged: {
                    if (ambianceCheckBox.checked) {
                        settings.selectedTheme = "Ambiance"
                        setCurrentTheme();
                        systemCheckBox.checked = false
                        surudarkCheckBox.checked = false
                    }
                }
            }
            Label {
              text: " " + i18n.tr("Ambiance")
            }

            CheckBox {
                id: surudarkCheckBox
                checked: false
                onCheckedChanged: {
                    if (surudarkCheckBox.checked) {
                        settings.selectedTheme = "SuruDark"
                        setCurrentTheme();
                        systemCheckBox.checked = false
                        ambianceCheckBox.checked = false
                    }
                }
            }
            Label {
              text: " " + i18n.tr("SuruDark")
            }
        }
    }
}
